package com.yeejoin.equipmanage.common.vo;

import java.util.List;

/**
 * <pre>
 *  车载装备
 * </pre>
 *
 * 
 */
public class OnBoardEquipment {

	/**
	 * 仓库id
	 */
	private Long warehouseId; 
	
	/**
	 * 类型
	 */
	private String type;
	
	/**
	 * 卸载货位（如果为null，回原货位）
	 */
	private String shelfCellCode;
	
	/**
	 * 装车装备列表
	 */
	private List<Equip> equipments;

	private String area;

	public String getArea() {
		return area;
	}

	public void setArea(String area) {
		this.area = area;
	}

	public Long getWarehouseId() {
		return warehouseId;
	}


	public void setWarehouseId(Long warehouseId) {
		this.warehouseId = warehouseId;
	}


	public String getType() {
		return type;
	}


	public void setType(String type) {
		this.type = type;
	}


	public List<Equip> getEquipments() {
		return equipments;
	}


	public void setEquipments(List<Equip> equipments) {
		this.equipments = equipments;
	}


	public String getShelfCellCode() {
		return shelfCellCode;
	}


	public void setShelfCellCode(String shelfCellCode) {
		this.shelfCellCode = shelfCellCode;
	}
}
